Bug 3852 - [UPDATE REQUEST] python-slip 0.6.0
: [UPDATE REQUEST] python-slip 0.6.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-18 12:53 MSK by Denis Silakov
Modified: 2014-03-28 11:58 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
danila.leontiev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-03-18 12:53:31 MSK
python-slip is a set of auxiliary functions used by system-config-samba and system-config-services. We have a quite old version (0.2.24). The latest one is 0.6.0; it provides different improvements and supports python3, so it would be nice to update our packages.
Comment 1 Denis Silakov 2014-03-18 12:54:57 MSK
Advisory:

Updated python-slip to version 0.6.0 which provides PYthon3 support.

Build lists:
https://abf.rosalinux.ru/build_lists/1709217
https://abf.rosalinux.ru/build_lists/1709218

Note for testers: it is necessary to check how system-config-samba and system-config-services tools work with new python-slip.
Comment 2 Alexander Petryakov 2014-03-26 08:37:45 MSK
after update system-config-samba and system-config-services not stated
--------------------
[root@FR2-i386 sasha]# system-config-samba 

** (process:15024): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:15024): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:15024): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Traceback (most recent call last):
  File "/usr/sbin/system-config-samba", line 55, in <module>
    main_window = mainWindow.MainWindow (debug_flag = debug_flag, use_dbus = use_dbus)
  File "/usr/share/system-config-samba/mainWindow.py", line 116, in __init__
    from scsamba.core import sambaBackend
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 26, in <module>
    from slip.util.files import copyfile
  File "/usr/lib/python2.7/site-packages/slip/util/__init__.py", line 5, in <module>
    from . import hookable
  File "/usr/lib/python2.7/site-packages/slip/util/hookable.py", line 27, in <module>
    from six import with_metaclass
ImportError: No module named six
-------------------
[root@FR2-i386 sasha]# system-config-services 
Traceback (most recent call last):
  File "/usr/sbin/system-config-services", line 26, in <module>
    from scservices.core.systemd.manager import SystemDManager
  File "/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py", line 28, in <module>
    import slip.dbus.polkit as polkit
  File "/usr/lib/python2.7/site-packages/slip/dbus/__init__.py", line 8, in <module>
    from . import service
  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 30, in <module>
    from six import with_metaclass
ImportError: No module named six
-------------------
Comment 3 Denis Silakov 2014-03-26 20:29:47 MSK
Does it help to install "python-six" package? If yes, we should add it to dependencies.
Comment 4 Alexander Petryakov 2014-03-27 15:05:22 MSK
Yes, after install python-six packages system-config-samba and system-config-services have been started.

But we have output in console with WARNING:

[root@FR2-i386 sasha]# system-config-samba 

** (process:13220): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:13220): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:13220): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
[root@FR2-i386 sasha]# system-config-services 

** (process:13237): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:13237): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:13237): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py:101: SystemDUnitUnknownTypeWarning: Unit id 'system.slice' is of unknown type 'slice'
  new_unit = SystemDUnit(self, unit_id, unit_path)
/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py:101: SystemDUnitUnknownTypeWarning: Unit id 'system-getty.slice' is of unknown type 'slice'
  new_unit = SystemDUnit(self, unit_id, unit_path)
/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py:101: SystemDUnitUnknownTypeWarning: Unit id 'user.slice' is of unknown type 'slice'
  new_unit = SystemDUnit(self, unit_id, unit_path)
/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py:101: SystemDUnitUnknownTypeWarning: Unit id '-.slice' is of unknown type 'slice'
  new_unit = SystemDUnit(self, unit_id, unit_path)
/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py:101: SystemDUnitUnknownTypeWarning: Unit id 'user-500.slice' is of unknown type 'slice'
  new_unit = SystemDUnit(self, unit_id, unit_path)
/usr/lib/python2.7/site-packages/scservices/core/systemd/manager.py:101: SystemDUnitUnknownTypeWarning: Unit id 'session-c1.scope' is of unknown type 'scope'
  new_unit = SystemDUnit(self, unit_id, unit_path)
Comment 5 Denis Silakov 2014-03-27 16:30:50 MSK
The warnings are harmless, until you face any real problem with tool functionality. At least *flags warnings are present even with old python-slip, so I suggest to ignore them.

New build lists (with python-six requirement added):

https://abf.rosalinux.ru/build_lists/1725289
https://abf.rosalinux.ru/build_lists/1725290
Comment 6 Alexander Petryakov 2014-03-28 02:32:31 MSK
python-slip-0.6.0-2
************** Advisory **************
Updated python-slip to version 0.6.0 which provides PYthon3 support.
**************************************
QA Verified